Class | YARD::Parser::Ruby::Legacy::StatementList
In: | lib/yard/parser/ruby/legacy/statement_list.rb
Parent: | Array

### Methods

new

### Included Modules

RubyToken

### Constants

OPEN_BLOCK_TOKENS | = | [TkCLASS, TkDEF, TkMODULE, TkUNTIL, TkIF, TkELSIF, TkUNLESS, TkWHILE, TkFOR, TkCASE] |  | The following list of tokens will require a block to be opened if used at the beginning of a statement.

### Attributes

encoding_line | [RW] |
shebang_line | [RW] |

### Public Class methods

new(content)

Creates a new statement list

@param [TokenList, String] content the tokens to create the list from

[Validate]